import 'package:flutter/material.dart';
import 'package:mwb/bloc_provider.dart';
import 'package:sample/src/app_scope/app_bloc.dart';
import 'package:sample/src/app_scope/router.dart';

void main() {
  runApp(BlocProvider(
    bloc: AppBloc(),
    child: SampleApp(),
  ));
}

class SampleApp extends StatelessWidget with AppBlocProvider {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      navigatorKey: navService.navigatorKey,
      onGenerateRoute: Router.generateRoute,
    );
  }
}
