import 'package:mwb/bloc_provider.dart';
import 'package:sample/src/app_scope/router.dart';
import 'package:sample/src/data/repository.dart';

/// Global BLoC singleton which only exists once for the entire app.
///
/// Similar to the Application class in Android.
/// Holds instances of objects that are needed globally inside the app and manages them.
class AppBloc extends BaseBloc {
  static AppBloc _instance;

  final NavigationService navigationService = NavigationService();
  final Repository repository = Repository();

  @override
  void init() {
    if (_instance != this) _instance = this;
  }

  @override
  void dispose() {}
}

mixin AppBlocProvider {
  AppBloc get appBloc => AppBloc._instance;

  Repository get repository => appBloc.repository;

  NavigationService get navService => appBloc.navigationService;
}
