import 'package:sample/src/data/sample_data_provider.dart';
import 'package:sample/src/models/post.dart';

/// Container to hold at least 1 data provider.
///
/// The aim is to have 1 object which acts as a data delegate and provides all the functions needed.
/// It is NOT responsible for managing any actual database access, that's what the data providers are for.
class Repository {
  /// Simulated persistent storage inside the app.
  ///
  /// In a real scenario this would likely be an actual DAO.
  List<Post> currentPosts = List();

  final SampleDataProvider dataProvider = SampleDataProvider();
}
